//
//  NSMutableOrderedSet+gmsafekit.h
//  OJia
//
//  Created by 张培创 on 15/12/28.
//  Copyright © 2015年 com.ouj. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSMutableOrderedSet (gmsafekit)

- (id) safeObjectAtIndex:(NSUInteger)index;
- (void)safeAddObject:(id)anObject;

- (void)safeAddObjectsFromArray:(NSArray *)otherArray;

- (void)safeInsertObject:(id)anObject atIndex:(NSUInteger)index;
- (void)safeInsertObjects:(NSArray *)objects atIndexes:(NSIndexSet *)indexes;


- (void)safeRemoveObjectAtIndex:(NSUInteger)index;
- (void)safeReplaceObjectAtIndex:(NSUInteger)index withObject:(id)anObject;

@end
