//
//  NSDictionary+gmsafekit.h
//  OJia
//
//  Created by lerosua on 15/3/25.
//  Copyright (c) 2015年 com.ojia. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSDictionary (gmsafekit)

- (NSString *)safeStringForKey:(id)key;
- (NSString *)safeStringForKey:(id)key or:(NSString *)fall;

- (NSNumber *)safeNumberForKey:(id)key;
- (NSNumber *)safeNumberForKey:(id)key or:(NSNumber *)fall;

- (NSDictionary *)safeDictionaryForKey:(id)key;
- (NSDictionary *)safeDictionaryForKey:(id)key or:(NSDictionary *)fall;

- (NSArray *)safeArrayForKey:(id)key;
- (NSArray *)safeArrayForKey:(id)key or:(NSArray *)fall;

- (id)objectForKey:(id)key expectedClass:(Class)class_;
- (id)objectForKey:(id)key expectedClass:(Class)class_ or:(id)fall;


@end
