//
//  OJAPayManager.h
//  HiSports
//
//  Created by luxiaoming on 16/10/14.
//  Copyright © 2016年 com.ouj. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "OJAPayObject.h"

@interface OJAPayManager : NSObject

@property (nonatomic, copy, readonly) NSString *kWeChatAppKey;
@property (nonatomic, copy, readonly) NSString *kAliAppScheme;


+ (instancetype)defaultManager;


/**
 @param weChatAppKey 微信的appKey
 @param aliAppScheme 在info-url中填写的支付宝支付回调的scheme
 */
- (void)setupWithWeChatAppKey:(NSString *)weChatAppKey aliAppScheme:(NSString *)aliAppScheme;


- (BOOL)handleOpenUrl:(NSURL *)url;

- (void)payForPreOrder:(OJAPayPreOrderModel *)preOrderModel withPayType:(OJAPayType)payType completion:(OJAPayCompletion)completion;


@end
