//
//  NSDateComponents+OJAKit.h
//  OJAKitDemo
//
//  Created by luxiaoming on 16/7/7.
//  Copyright © 2016年 luxiaoming. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSDateComponents (OJAKit)

/**
 * 只判断年月日是否相等，其他的不管
 */
- (BOOL)oja_isEqualToDateComponents:(NSDateComponents *)dateComponents;


/**
 *  targetMonth上个月的第一天的NSDateComponents
 */
+ (NSDateComponents *)monthBeforeTargetMonth:(NSDateComponents *)targetMonth;

/**
 *  targetMonth下个月的第一天的NSDateComponents
 */
+ (NSDateComponents *)monthAfterTargetMonth:(NSDateComponents *)targetMonth;

@end
